## nitconverter 0.1

=== debian/changelog ===
nitconverter (0.1) stable; urgency=low

  * Initial release

 -- Bruce Forsberg <bruce.forsberg@gmail.com>  Tue, 15 Dec 2009 17:38:49 -0800

## nitconverter 0.2

=== debian/changelog ===
nitconverter (0.2) stable; urgency=low

  * Added area, angles.

 -- Bruce Forsberg <bruce.forsberg@gmail.com>  Sat, 02 Jan 2010 17:38:49 -0800

## nitconverter 0.3

=== src/Makefile ===
#############################################################################
# Makefile for building: nitconverter
# Generated by qmake (2.01a) (Qt 4.5.3) on: Sat Nov 14 12:44:48 2009
# Project:  src.pro
# Template: app
# Command: /usr/bin/qmake-qt4 -unix -o Makefile src.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DMAEMO -DQT_QT3SUPPORT_LIB -DQT3_SUPPORT -DQT_GUI_LIB -DQT_CORE_LIB
CFLAGS        = -pipe -g -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -g -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/targets/DIABLO_X86/usr/share/qt4/mkspecs/linux-g++ -I. -I/targets/DIABLO_X86/usr/include/qt4/QtCore -I/targets/DIABLO_X86/usr/include/qt4/QtGui -I/targets/DIABLO_X86/usr/include/qt4/Qt3Support -I/targets/DIABLO_X86/usr/include/qt4 -I../lib -I.
LINK          = g++
LFLAGS        = 
LIBS          = $(SUBLIBS)  -L/usr/lib -lQt3Support -lQtGui -lQtCore -lpthread
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake-qt4
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -sf
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = main.cpp \
		nitconverter.cc \
		nitconverterbase.cpp moc_nitconverterbase.cpp
OBJECTS       = main.o \
		nitconverter.o \
		nitconverterbase.o \
		moc_nitconverterbase.o
DIST          = /targets/DIABLO_X86/usr/share/qt4/mkspecs/common/g++.conf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/debug.prf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/link_pkgconfig.prf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		src.pro
QMAKE_TARGET  = nitconverter
DESTDIR       = 
TARGET        = nitconverter

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET):  $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: src.pro  /targets/DIABLO_X86/usr/share/qt4/mkspecs/linux-g++/qmake.conf /targets/DIABLO_X86/usr/share/qt4/mkspecs/common/g++.conf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/debug.prf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/link_pkgconfig.prf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/include_source_dir.prf
	$(QMAKE) -unix -o Makefile src.pro
/targets/DIABLO_X86/usr/share/qt4/mkspecs/common/g++.conf:
/targets/DIABLO_X86/usr/share/qt4/mkspecs/common/unix.conf:
/targets/DIABLO_X86/usr/share/qt4/mkspecs/common/linux.conf:
/targets/DIABLO_X86/usr/share/qt4/mkspecs/qconfig.pri:
/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/qt_functions.prf:
/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/qt_config.prf:
/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/default_pre.prf:
/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/debug.prf:
/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/default_post.prf:
/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/link_pkgconfig.prf:
/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/warn_on.prf:
/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/qt.prf:
/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/unix/thread.prf:
/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/moc.prf:
/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/include_source_dir.prf:
qmake:  FORCE
	@$(QMAKE) -unix -o Makefile src.pro

dist: 
	@$(CHK_DIR_EXISTS) .tmp/nitconverter1.0.0 || $(MKDIR) .tmp/nitconverter1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/nitconverter1.0.0/ && $(COPY_FILE) --parents nitconverter.h nitconverterbase.h .tmp/nitconverter1.0.0/ && $(COPY_FILE) --parents main.cpp nitconverter.cc nitconverterbase.cpp .tmp/nitconverter1.0.0/ && (cd `dirname .tmp/nitconverter1.0.0` && $(TAR) nitconverter1.0.0.tar nitconverter1.0.0 && $(COMPRESS) nitconverter1.0.0.tar) && $(MOVE) `dirname .tmp/nitconverter1.0.0`/nitconverter1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/nitconverter1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


/usr/bin/moc:
	(cd $(QTDIR)/src/tools/moc && $(MAKE))

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: moc_nitconverterbase.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) moc_nitconverterbase.cpp
moc_nitconverterbase.cpp: nitconverterbase.h \
		/targets/DIABLO_X86/usr/bin/moc-qt4
	/usr/bin/moc $(DEFINES) $(INCPATH) nitconverterbase.h -o moc_nitconverterbase.cpp

compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_clean: compiler_moc_header_clean 

####### Compile

main.o: main.cpp nitconverter.h \
		nitconverterbase.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o main.o main.cpp

nitconverter.o: nitconverter.cc nitconverter.h \
		nitconverterbase.h \
		MyQ3ListViewItem.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o nitconverter.o nitconverter.cc

nitconverterbase.o: nitconverterbase.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o nitconverterbase.o nitconverterbase.cpp

moc_nitconverterbase.o: moc_nitconverterbase.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_nitconverterbase.o moc_nitconverterbase.cpp

####### Install

install_target: first FORCE
	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/usr/bin/ || $(MKDIR) $(INSTALL_ROOT)/usr/bin/ 
	-$(INSTALL_PROGRAM) "$(QMAKE_TARGET)" "$(INSTALL_ROOT)/usr/bin/$(QMAKE_TARGET)"

uninstall_target:  FORCE
	-$(DEL_FILE) "$(INSTALL_ROOT)/usr/bin/$(QMAKE_TARGET)"
	-$(DEL_DIR) $(INSTALL_ROOT)/usr/bin/ 


install_data_service: first FORCE
	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/usr/share/dbus-1/services/ || $(MKDIR) $(INSTALL_ROOT)/usr/share/dbus-1/services/ 
	-$(INSTALL_FILE) /home/forsberg/nitconverter/trunk/src/data/com.nokia.nitconverter.service $(INSTALL_ROOT)/usr/share/dbus-1/services/


uninstall_data_service:  FORCE
	-$(DEL_FILE) -r $(INSTALL_ROOT)/usr/share/dbus-1/services/com.nokia.nitconverter.service
	-$(DEL_DIR) $(INSTALL_ROOT)/usr/share/dbus-1/services/ 


install_data_desktop: first FORCE
	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/usr/share/applications/hildon/ || $(MKDIR) $(INSTALL_ROOT)/usr/share/applications/hildon/ 
	-$(INSTALL_FILE) /home/forsberg/nitconverter/trunk/src/data/nitconverter.desktop $(INSTALL_ROOT)/usr/share/applications/hildon/


uninstall_data_desktop:  FORCE
	-$(DEL_FILE) -r $(INSTALL_ROOT)/usr/share/applications/hildon/nitconverter.desktop
	-$(DEL_DIR) $(INSTALL_ROOT)/usr/share/applications/hildon/ 


install_data_icons_26: first FORCE
	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/usr/share/icons/hicolor/26x26/apps/ || $(MKDIR) $(INSTALL_ROOT)/usr/share/icons/hicolor/26x26/apps/ 
	-$(INSTALL_FILE) /home/forsberg/nitconverter/trunk/src/data/icons/26x26/nitconverter.png $(INSTALL_ROOT)/usr/share/icons/hicolor/26x26/apps/


uninstall_data_icons_26:  FORCE
	-$(DEL_FILE) -r $(INSTALL_ROOT)/usr/share/icons/hicolor/26x26/apps/nitconverter.png
	-$(DEL_DIR) $(INSTALL_ROOT)/usr/share/icons/hicolor/26x26/apps/ 


install_data_icons_48: first FORCE
	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/usr/share/icons/hicolor/48x48/apps/ || $(MKDIR) $(INSTALL_ROOT)/usr/share/icons/hicolor/48x48/apps/ 
	-$(INSTALL_FILE) /home/forsberg/nitconverter/trunk/src/data/icons/48x48/nitconverter.png $(INSTALL_ROOT)/usr/share/icons/hicolor/48x48/apps/


uninstall_data_icons_48:  FORCE
	-$(DEL_FILE) -r $(INSTALL_ROOT)/usr/share/icons/hicolor/48x48/apps/nitconverter.png
	-$(DEL_DIR) $(INSTALL_ROOT)/usr/share/icons/hicolor/48x48/apps/ 


install_data_icons_scale: first FORCE
	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/usr/share/icons/hicolor/scalable/hildon/ || $(MKDIR) $(INSTALL_ROOT)/usr/share/icons/hicolor/scalable/hildon/ 
	-$(INSTALL_FILE) /home/forsberg/nitconverter/trunk/src/data/icons/scalable/nitconverter.png $(INSTALL_ROOT)/usr/share/icons/hicolor/scalable/hildon/


uninstall_data_icons_scale:  FORCE
	-$(DEL_FILE) -r $(INSTALL_ROOT)/usr/share/icons/hicolor/scalable/hildon/nitconverter.png
	-$(DEL_DIR) $(INSTALL_ROOT)/usr/share/icons/hicolor/scalable/hildon/ 


install:  install_target install_data_service install_data_desktop install_data_icons_26 install_data_icons_48 install_data_icons_scale  FORCE

uninstall: uninstall_target uninstall_data_service uninstall_data_desktop uninstall_data_icons_26 uninstall_data_icons_48 uninstall_data_icons_scale   FORCE

FORCE:

=== debian/changelog ===
nitconverter (0.3) stable; urgency=low

  * Added time and bytes.

 -- Bruce Forsberg <bruce.forsberg@gmail.com>  Wed, 27 Jan 2010 17:38:49 -0800

## nitconverter 0.4

=== src/Makefile ===
--- 
+++ 
@@ -1,25 +1,25 @@
 #############################################################################
 # Makefile for building: nitconverter
-# Generated by qmake (2.01a) (Qt 4.5.3) on: Sat Nov 14 12:44:48 2009
+# Generated by qmake (2.01a) (Qt 4.5.3) on: Sat Jun 5 13:40:01 2010
 # Project:  src.pro
 # Template: app
-# Command: /usr/bin/qmake-qt4 -unix -o Makefile src.pro
+# Command: /usr/bin/qmake -unix -o Makefile src.pro
 #############################################################################
 
 ####### Compiler, tools and options
 
 CC            = gcc
 CXX           = g++
-DEFINES       = -DMAEMO -DQT_QT3SUPPORT_LIB -DQT3_SUPPORT -DQT_GUI_LIB -DQT_CORE_LIB
-CFLAGS        = -pipe -g -Wall -W -D_REENTRANT $(DEFINES)
-CXXFLAGS      = -pipe -g -Wall -W -D_REENTRANT $(DEFINES)
-INCPATH       = -I/targets/DIABLO_X86/usr/share/qt4/mkspecs/linux-g++ -I. -I/targets/DIABLO_X86/usr/include/qt4/QtCore -I/targets/DIABLO_X86/usr/include/qt4/QtGui -I/targets/DIABLO_X86/usr/include/qt4/Qt3Support -I/targets/DIABLO_X86/usr/include/qt4 -I../lib -I.
+DEFINES       = -DMAEMO -DQT_NO_DEBUG -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
+CFLAGS        = -pipe -O2 -D_REENTRANT -Wall -W $(DEFINES)
+CXXFLAGS      = -pipe -O2 -D_REENTRANT -Wall -W $(DEFINES)
+INCPATH       = -I/targets/DIABLO_X86/usr/share/qt4/mkspecs/linux-g++ -I. -I/targets/DIABLO_X86/usr/include/qt4/QtCore -I/targets/DIABLO_X86/usr/include/qt4/QtGui -I/targets/DIABLO_X86/usr/include/qt4 -I../lib -I.
 LINK          = g++
-LFLAGS        = 
-LIBS          = $(SUBLIBS)  -L/usr/lib -lQt3Support -lQtGui -lQtCore -lpthread
+LFLAGS        = -Wl,-O1
+LIBS          = $(SUBLIBS)  -L/usr/lib -lQtGui -lQtCore -lpthread
 AR            = ar cqs
 RANLIB        = 
-QMAKE         = /usr/bin/qmake-qt4
+QMAKE         = /usr/bin/qmake
 TAR           = tar -cf
 COMPRESS      = gzip -9f
 COPY          = cp -f
@@ -57,13 +57,17 @@
 		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/qt_config.prf \
 		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
 		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/default_pre.prf \
-		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/debug.prf \
+		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/release.prf \
 		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/default_post.prf \
 		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/link_pkgconfig.prf \
-		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/warn_on.prf \
 		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/qt.prf \
 		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/unix/thread.prf \
 		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/moc.prf \
+		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/warn_on.prf \
+		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/resources.prf \
+		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/uic.prf \
+		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/yacc.prf \
+		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/lex.prf \
 		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/include_source_dir.prf \
 		src.pro
 QMAKE_TARGET  = nitconverter
@@ -105,14 +109,20 @@
 		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/qt_config.prf \
 		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
 		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/default_pre.prf \
-		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/debug.prf \
+		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/release.prf \
 		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/default_post.prf \
 		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/link_pkgconfig.prf \
-		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/warn_on.prf \
 		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/qt.prf \
 		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/unix/thread.prf \
 		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/moc.prf \
-		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/include_source_dir.prf
+		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/warn_on.prf \
+		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/resources.prf \
+		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/uic.prf \
+		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/yacc.prf \
+		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/lex.prf \
+		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/include_source_dir.prf \
+		/usr/lib/libQtGui.prl \
+		/usr/lib/libQtCore.prl
 	$(QMAKE) -unix -o Makefile src.pro
 /targets/DIABLO_X86/usr/share/qt4/mkspecs/common/g++.conf:
 /targets/DIABLO_X86/usr/share/qt4/mkspecs/common/unix.conf:
@@ -122,14 +132,20 @@
 /targets/DIABLO_X86/usr/share/qt4/mkspecs/features/qt_config.prf:
 /targets/DIABLO_X86/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
 /targets/DIABLO_X86/usr/share/qt4/mkspecs/features/default_pre.prf:
-/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/debug.prf:
+/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/release.prf:
 /targets/DIABLO_X86/usr/share/qt4/mkspecs/features/default_post.prf:
 /targets/DIABLO_X86/usr/share/qt4/mkspecs/features/link_pkgconfig.prf:
-/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/warn_on.prf:
 /targets/DIABLO_X86/usr/share/qt4/mkspecs/features/qt.prf:
 /targets/DIABLO_X86/usr/share/qt4/mkspecs/features/unix/thread.prf:
 /targets/DIABLO_X86/usr/share/qt4/mkspecs/features/moc.prf:
+/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/warn_on.prf:
+/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/resources.prf:
+/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/uic.prf:
+/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/yacc.prf:
+/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/lex.prf:
 /targets/DIABLO_X86/usr/share/qt4/mkspecs/features/include_source_dir.prf:
+/usr/lib/libQtGui.prl:
+/usr/lib/libQtCore.prl:
 qmake:  FORCE
 	@$(QMAKE) -unix -o Makefile src.pro
 
@@ -150,9 +166,6 @@
 	-$(DEL_FILE) Makefile
 
 
-/usr/bin/moc:
-	(cd $(QTDIR)/src/tools/moc && $(MAKE))
-
 mocclean: compiler_moc_header_clean compiler_moc_source_clean
 
 mocables: compiler_moc_header_make_all compiler_moc_source_make_all
@@ -160,12 +173,24 @@
 compiler_moc_header_make_all: moc_nitconverterbase.cpp
 compiler_moc_header_clean:
 	-$(DEL_FILE) moc_nitconverterbase.cpp
-moc_nitconverterbase.cpp: nitconverterbase.h \
-		/targets/DIABLO_X86/usr/bin/moc-qt4
+moc_nitconverterbase.cpp: nitconverterbase.h
 	/usr/bin/moc $(DEFINES) $(INCPATH) nitconverterbase.h -o moc_nitconverterbase.cpp
 
+compiler_rcc_make_all:
+compiler_rcc_clean:
+compiler_image_collection_make_all: qmake_image_collection.cpp
+compiler_image_collection_clean:
+	-$(DEL_FILE) qmake_image_collection.cpp
 compiler_moc_source_make_all:
 compiler_moc_source_clean:
+compiler_uic_make_all:
+compiler_uic_clean:
+compiler_yacc_decl_make_all:
+compiler_yacc_decl_clean:
+compiler_yacc_impl_make_all:
+compiler_yacc_impl_clean:
+compiler_lex_make_all:
+compiler_lex_clean:
 compiler_clean: compiler_moc_header_clean 
 
 ####### Compile
@@ -175,11 +200,10 @@
 	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o main.o main.cpp
 
 nitconverter.o: nitconverter.cc nitconverter.h \
-		nitconverterbase.h \
-		MyQ3ListViewItem.h
+		nitconverterbase.h
 	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o nitconverter.o nitconverter.cc
 
-nitconverterbase.o: nitconverterbase.cpp 
+nitconverterbase.o: nitconverterbase.cpp nitconverterbase.h
 	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o nitconverterbase.o nitconverterbase.cpp
 
 moc_nitconverterbase.o: moc_nitconverterbase.cpp 
@@ -190,6 +214,7 @@
 install_target: first FORCE
 	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/usr/bin/ || $(MKDIR) $(INSTALL_ROOT)/usr/bin/ 
 	-$(INSTALL_PROGRAM) "$(QMAKE_TARGET)" "$(INSTALL_ROOT)/usr/bin/$(QMAKE_TARGET)"
+	-strip "$(INSTALL_ROOT)/usr/bin/$(QMAKE_TARGET)"
 
 uninstall_target:  FORCE
 	-$(DEL_FILE) "$(INSTALL_ROOT)/usr/bin/$(QMAKE_TARGET)"
@@ -198,7 +223,7 @@
 
 install_data_service: first FORCE
 	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/usr/share/dbus-1/services/ || $(MKDIR) $(INSTALL_ROOT)/usr/share/dbus-1/services/ 
-	-$(INSTALL_FILE) /home/forsberg/nitconverter/trunk/src/data/com.nokia.nitconverter.service $(INSTALL_ROOT)/usr/share/dbus-1/services/
+	-$(INSTALL_FILE) /home/forsberg/converter/converter/trunk/src/data/com.nokia.nitconverter.service $(INSTALL_ROOT)/usr/share/dbus-1/services/
 
 
 uninstall_data_service:  FORCE
@@ -208,7 +233,7 @@
 
 install_data_desktop: first FORCE
 	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/usr/share/applications/hildon/ || $(MKDIR) $(INSTALL_ROOT)/usr/share/applications/hildon/ 
-	-$(INSTALL_FILE) /home/forsberg/nitconverter/trunk/src/data/nitconverter.desktop $(INSTALL_ROOT)/usr/share/applications/hildon/
+	-$(INSTALL_FILE) /home/forsberg/converter/converter/trunk/src/data/nitconverter.desktop $(INSTALL_ROOT)/usr/share/applications/hildon/
 
 
 uninstall_data_desktop:  FORCE
@@ -218,7 +243,7 @@
 
 install_data_icons_26: first FORCE
 	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/usr/share/icons/hicolor/26x26/apps/ || $(MKDIR) $(INSTALL_ROOT)/usr/share/icons/hicolor/26x26/apps/ 
-	-$(INSTALL_FILE) /home/forsberg/nitconverter/trunk/src/data/icons/26x26/nitconverter.png $(INSTALL_ROOT)/usr/share/icons/hicolor/26x26/apps/
+	-$(INSTALL_FILE) /home/forsberg/converter/converter/trunk/src/data/icons/26x26/nitconverter.png $(INSTALL_ROOT)/usr/share/icons/hicolor/26x26/apps/
 
 
 uninstall_data_icons_26:  FORCE
@@ -228,7 +253,7 @@
 
 install_data_icons_48: first FORCE
 	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/usr/share/icons/hicolor/48x48/apps/ || $(MKDIR) $(INSTALL_ROOT)/usr/share/icons/hicolor/48x48/apps/ 
-	-$(INSTALL_FILE) /home/forsberg/nitconverter/trunk/src/data/icons/48x48/nitconverter.png $(INSTALL_ROOT)/usr/share/icons/hicolor/48x48/apps/
+	-$(INSTALL_FILE) /home/forsberg/converter/converter/trunk/src/data/icons/48x48/nitconverter.png $(INSTALL_ROOT)/usr/share/icons/hicolor/48x48/apps/
 
 
 uninstall_data_icons_48:  FORCE
@@ -238,7 +263,7 @@
 
 install_data_icons_scale: first FORCE
 	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/usr/share/icons/hicolor/scalable/hildon/ || $(MKDIR) $(INSTALL_ROOT)/usr/share/icons/hicolor/scalable/hildon/ 
-	-$(INSTALL_FILE) /home/forsberg/nitconverter/trunk/src/data/icons/scalable/nitconverter.png $(INSTALL_ROOT)/usr/share/icons/hicolor/scalable/hildon/
+	-$(INSTALL_FILE) /home/forsberg/converter/converter/trunk/src/data/icons/scalable/nitconverter.png $(INSTALL_ROOT)/usr/share/icons/hicolor/scalable/hildon/
 
 
 uninstall_data_icons_scale:  FORCE

=== debian/changelog ===
nitconverter (0.4) stable; urgency=low

  * Added temperature.

 -- Bruce Forsberg <bruce.forsberg@gmail.com>  Wed, 5 Jun 2010 17:38:49 -0800

=== debian/control ===
Source: nitconverter
Section: user/utilities
Priority: optional
Maintainer: Bruce Forsberg <bruce.forsberg@gmail.com>
Build-Depends: debhelper (>= 5), libqt4-dev, libosso-dev
Standards-Version: 3.7.2

Package: nitconverter
Architecture: any
Depends: ${shlibs:Depends}, hildon-application-manager
Description: An Units Converter for Nokia Internet Tablets.
 This converter will convert between many different sets of
 units.
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAABoAAAAaCAYAAACpSkzOAAAABmJLR0QA/wD/
 AP+gvaeTAAAACXBIWXMAAAsTAAALEwEAmpwYAAAAB3RJTUUH2QsPABsSjNl8
 0gAAAy1JREFUSMfdlctvW0UUxn9nfG23jp+xnTpuHo6blPQVQq5bRBGitFKF
 AIlVN4DErmyQKrFjwYYVQgIJiQ0skaB/RCVegnSB3BIJijAhWKWpHSdxUreO
 H/deDws7KBFp6hioEJ90NUffOTrf/TQzZ4T7wTS9gGJvaJHNNnZKGDsIhDxu
 11vj4/2vuz0udzfdbdthfn4N4MsGnNtdyDQV8Eo6HXnn1KmDg8GgtysLC7+u
 UShUuXBhitlvb7oW7lNndEQysajvg8zJ5OmRkVBXAuVyjZ9urHLs+DBmJk29
 Xt+13pBM5o2A3/tuIhF0FW5XKRaqgPxZILIlbhM0mzaTk2leevkott2kVqs9
 8MeMgH/f1Hvvv+oyDIPNz+02MAw3W7k23+bQQqF4m1wuh213d0p2PFVag9Z6
 B163eWHPUPSAHnR6E3pojnhojnqw9N92JP/DPdoOx2lx7dqiUyrd/YpdZ93f
 wPx8iStXblwtFiuXyGa/+0eFRITl5QqffXq1ODd3800Nn5DNtnaddfWGtXH5
 8jd1JQqlBKUUSilEVCfucKIQpVAiWJbjfP7F9Y/vVKpvk82ud3chTFN6uhgP
 cPAXR6Z5UQDfnoXMPVVvGKND0a89XvfpVCpO7pcCsWgQJUJpuUI6dYBbi6to
 rRlKxljIF4lGgqBhZa3C2FCCW4UVRITBeJT84hLRUJBWS1O+U2EsOcjvS8s0
 LXvW9eJrlz5MDobdL5yfllKpIplH05IajotlOfL8uWmp1S2JRQJy/qkpWVm9
 K+aJQzKciIltO/Lc0zNS3WjIQH9Izpw8LuX1ezJz5JAkY/3itBx59glT7lVr
 0ufbHzdcGp6cThHxujn7+AThoA+FIurz4HOBV2D6xCgxv4dnMhOEg33QgnjA
 i98DXgNmJkc4EPJyZmaccMBPy2mRiOwjuB+8brBsMAw0x0ZioGFqbAB0++E7
 GPbRaNo8NpHgSCcfSrfzaBiO9tG0bMzDSY6ORNEa+tMD6E5eD/ixLIfMI0lm
 f/gNY7GwXsp+nx9tP6HtPpvx5nr9x/w2TuvtNXM/59vhFn5rn6XyeknMix8l
 gcP/8qjL/QEoLBlPrsG7lwAAAABJRU5ErkJggg==
 ====

=== debian/rules ===
#!/usr/bin/make -f
APPNAME := nitconverter
PREFIX  :=  $(shell pwd)/debian/$(APPNAME)
builddir:
	mkdir -p builddir

builddir/Makefile: builddir
	cd builddir && qmake-qt4 PREFIX=/usr ../$(APPNAME).pro

build: build-stamp

build-stamp: builddir/Makefile
	dh_testdir
	# Add here commands to compile the package.
	cd builddir && $(MAKE)
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	# Add here commands to clean up after the build process.
	rm -rf builddir
	dh_clean
install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

        # Add here commands to install the package into debian/your_appname
	cd builddir && $(MAKE) INSTALL_ROOT=$(CURDIR)/debian/$(APPNAME) install
# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installexamples
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## nitconverter 0.5

=== debian/changelog ===
nitconverter (0.5) stable; urgency=low

  * Fixing debian/control description.

 -- Bruce Forsberg <bruce.forsberg@gmail.com>  Wed, 6 Jun 2010 17:38:49 -0800

=== debian/control ===
--- 
+++ 
@@ -11,6 +11,7 @@
 Description: An Units Converter for Nokia Internet Tablets.
  This converter will convert between many different sets of
  units.
+XSBC-Bugtracker: https://garage.maemo.org/tracker/?group_id=1102
 XB-Maemo-Icon-26:
  iVBORw0KGgoAAAANSUhEUgAAABoAAAAaCAYAAACpSkzOAAAABmJLR0QA/wD/
  AP+gvaeTAAAACXBIWXMAAAsTAAALEwEAmpwYAAAAB3RJTUUH2QsPABsSjNl8

## nitconverter 0.6

=== debian/changelog ===
nitconverter (0.6) stable; urgency=low

  * Fixing debian/control description.

 -- Bruce Forsberg <bruce.forsberg@gmail.com>  Wed, 6 Jun 2010 17:38:49 -0800

=== debian/control ===
--- 
+++ 
@@ -11,6 +11,7 @@
 Description: An Units Converter for Nokia Internet Tablets.
  This converter will convert between many different sets of
  units.
+XB-Maemo-Upgrade-Description: Added Temperature tab.
 XSBC-Bugtracker: https://garage.maemo.org/tracker/?group_id=1102
 XB-Maemo-Icon-26:
  iVBORw0KGgoAAAANSUhEUgAAABoAAAAaCAYAAACpSkzOAAAABmJLR0QA/wD/
